Name:           spring-maps-default
Version:        0.1
Release:        11%{?dist}
Summary:        Default maps for Spring

Group:          Amusements/Games
# For licensing details, see:
# http://spring.clan-sy.com/phpbb/viewtopic.php?f=13&t=15694&p=296531#p296531
License:        Redistributable, no modification permitted
URL:            http://spring.jobjol.nl
# http://spring.jobjol.nl/show_file.php?id=593
Source0:        http://jj.darkstars.co.uk/c2/SmallDivide.sd7
# http://spring.jobjol.nl/show_file.php?id=131
Source1:        http://jj.darkstars.co.uk/c2/Comet_Catcher_Redux.sd7
# http://spring.jobjol.nl/show_file.php?id=571
Source2:        http://jj.darkstars.co.uk/c2/Sands_of_War_v2.sd7
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# Completely useless without spring
Requires:       spring
# Spring does not build on PPC, exclude it here too
ExcludeArch:    ppc ppc64


%description
This package contains the default maps for Spring: Small Divide, Comet Catcher
Redux, and Sands of War.


%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/spring/maps/
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/spring/maps/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/spring/maps/*.sd7


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.1-5
- rebuild

* Sat Mar 14 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.1-4
- add a comment for licensing details

* Sat Mar 14 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.1-3
- fix URLs and License

* Sun Jan 18 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.1-2
- require spring instead of spring-engine, metapackage was dropped

* Thu Jan 01 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.1-1
- initial package
